Bug 1213173 - [abrt] libreoffice-core: com::sun::star::uno::WeakReferenceHelper::clear(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: com::sun::star::uno::WeakReferenceHelper::clear(): s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Stahl
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6f88312b6b7218e239bb5049ee8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-19 18:17 UTC by Wolfgang Reh
Modified: 2015-05-30 15:52 UTC (History)
7 users (show)

Fixed In Version: libreoffice-4.3.7.2-6.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-14 11:11:56 UTC


Attachments (Terms of Use)
File: backtrace (69.53 KB, text/plain)
2015-04-19 18:18 UTC, Wolfgang Reh
no flags Details
File: cgroup (190 bytes, text/plain)
2015-04-19 18:18 UTC, Wolfgang Reh
no flags Details
File: core_backtrace (33.48 KB, text/plain)
2015-04-19 18:18 UTC, Wolfgang Reh
no flags Details
File: dso_list (33.85 KB, text/plain)
2015-04-19 18:18 UTC, Wolfgang Reh
no flags Details
File: environ (3.01 KB, text/plain)
2015-04-19 18:18 UTC, Wolfgang Reh
no flags Details
File: exploitable (100 bytes, text/plain)
2015-04-19 18:18 UTC, Wolfgang Reh
no flags Details
File: limits (1.29 KB, text/plain)
2015-04-19 18:18 UTC, Wolfgang Reh
no flags Details
File: maps (164.77 KB, text/plain)
2015-04-19 18:18 UTC, Wolfgang Reh
no flags Details
File: open_fds (1.06 KB, text/plain)
2015-04-19 18:18 UTC, Wolfgang Reh
no flags Details
File: proc_pid_status (962 bytes, text/plain)
2015-04-19 18:18 UTC, Wolfgang Reh
no flags Details

Description Wolfgang Reh 2015-04-19 18:17:59 UTC
Description of problem:
Tabelle die als Datenbank für einen Serienbrief dient geöffent (ist automatisch schreibgeschützt) und wieder geschlossen, danach versucht einen den Serienbrief zu drucken.

Version-Release number of selected component:
libreoffice-core-4.3.6.2-8.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --splash-pipe=5
crash_function: com::sun::star::uno::WeakReferenceHelper::clear
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.19.3-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: [System Logs]:\n-- Logs begin at Fre 2013-07-05 19:10:14 CEST, end at Son 2015-04-19 20:03:34 CEST. --

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 com::sun::star::uno::WeakReferenceHelper::clear at /usr/src/debug/libreoffice-4.3.6.2/cppuhelper/source/weak.cxx:438
 #1 com::sun::star::uno::WeakReferenceHelper::operator= at /usr/src/debug/libreoffice-4.3.6.2/cppuhelper/source/weak.cxx:469
 #2 operator= at /usr/src/debug/libreoffice-4.3.6.2/include/cppuhelper/weakref.hxx:147
 #3 dbaccess::ORowSetCache::reset at /usr/src/debug/libreoffice-4.3.6.2/dbaccess/source/core/api/RowSetCache.cxx:1723
 #4 dbaccess::ORowSet::execute_NoApprove_NoNewConn at /usr/src/debug/libreoffice-4.3.6.2/dbaccess/source/core/api/RowSet.cxx:2025
 #5 dbaccess::ORowSet::execute at /usr/src/debug/libreoffice-4.3.6.2/dbaccess/source/core/api/RowSet.cxx:1582
 #6 frm::ODatabaseForm::executeRowSet at /usr/src/debug/libreoffice-4.3.6.2/forms/source/component/DatabaseForm.cxx:1233
 #7 frm::ODatabaseForm::load_impl at /usr/src/debug/libreoffice-4.3.6.2/forms/source/component/DatabaseForm.cxx:2887
 #8 frm::ODatabaseForm::load at /usr/src/debug/libreoffice-4.3.6.2/forms/source/component/DatabaseForm.cxx:2670
 #9 dbaui::SbaXDataBrowserController::reloadForm at /usr/src/debug/libreoffice-4.3.6.2/dbaccess/source/ui/browser/brwctrlr.cxx:637

Comment 1 Wolfgang Reh 2015-04-19 18:18:04 UTC
Created attachment 1016127 [details]
File: backtrace

Comment 2 Wolfgang Reh 2015-04-19 18:18:05 UTC
Created attachment 1016128 [details]
File: cgroup

Comment 3 Wolfgang Reh 2015-04-19 18:18:07 UTC
Created attachment 1016129 [details]
File: core_backtrace

Comment 4 Wolfgang Reh 2015-04-19 18:18:09 UTC
Created attachment 1016130 [details]
File: dso_list

Comment 5 Wolfgang Reh 2015-04-19 18:18:11 UTC
Created attachment 1016131 [details]
File: environ

Comment 6 Wolfgang Reh 2015-04-19 18:18:12 UTC
Created attachment 1016132 [details]
File: exploitable

Comment 7 Wolfgang Reh 2015-04-19 18:18:13 UTC
Created attachment 1016133 [details]
File: limits

Comment 8 Wolfgang Reh 2015-04-19 18:18:19 UTC
Created attachment 1016134 [details]
File: maps

Comment 9 Wolfgang Reh 2015-04-19 18:18:21 UTC
Created attachment 1016135 [details]
File: open_fds

Comment 10 Wolfgang Reh 2015-04-19 18:18:23 UTC
Created attachment 1016136 [details]
File: proc_pid_status

Comment 11 Stephan Bergmann 2015-04-21 07:26:08 UTC
(In reply to Wolfgang Reh from comment #0)
> Description of problem:
> Tabelle die als Datenbank für einen Serienbrief dient geöffent (ist
> automatisch schreibgeschützt) und wieder geschlossen, danach versucht einen
> den Serienbrief zu drucken.

"I opened a table that is used as a database for a form letter (which is automatically write-protected), then closed it again.  Afterwards, I tried to print the form letter."

Comment 12 David Tardon 2015-04-21 08:48:36 UTC
If the crash is reproducible, could you give us step-by-step description of the actions that lead to it?

Comment 13 Wolfgang Reh 2015-04-21 17:06:34 UTC
I can reproduce the crash. The steps from beginning:

1) Open LibreOffice with the command libreoffice.
2) Open the form letter (shown with a preview in the main window).
3) Press F4 to open the data sources (the last selected source is automatically selected.
4) Open the spreadsheet that's uses as data source from the menu File -> last used documents (Datei -> zuletzt benutzte Dokumente).
5) This file is correctly opened but is write protected (fine with me).
6) Close the spreadsheet (x in upper right hand corner).
7) Use the print button in the symbol panel to print the document.
8) In the pop-up asking if I want to print a form letter select Yes.
9) As in the following pop-up the data source is not selected try to select the  data source for this letter, the above mentioned spreadsheet.
10) After a small "thinking period" LibreOffice closes and abrt shows the crash report (see previous attachments).

The spreadsheet used as data source is nothing special, just a list with salutation, name, address, ZIP code, ...

Comment 14 Michael Stahl 2015-05-04 10:19:57 UTC
can reproduce it on master, crash with null ORowSet::m_pCache

4.2.8 would not crash but not display any data in the dialog.

when pressing F4 in Writer,
the Calc database driver loads the document with "ReadOnly" and "Hidden" set,
so no visible window is created but an invisible one; if you then load the document from the UI the existing window is made visible.

unfortunately closing the visible window will destroy the document,
and then things become generally unhappy.

fixed in upstream master commit 7368b6ca3f61e750765f42e97d0a00e10fcac516
fixed in upstream libreoffice-4-4 for 4.4.4 commit e8777783db81279a6b0e9cc7b308f10719bd8a7b

patch added to F21 package

Comment 15 Fedora Update System 2015-05-10 10:32:53 UTC
libreoffice-4.3.7.2-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreoffice-4.3.7.2-5.fc21

Comment 16 Fedora Update System 2015-05-12 20:41:21 UTC
Package libreoffice-4.3.7.2-5.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.3.7.2-5.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8033/libreoffice-4.3.7.2-5.fc21
then log in and leave karma (feedback).

Comment 17 Fedora Update System 2015-05-14 11:11:56 UTC
libreoffice-4.3.7.2-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-05-25 08:22:45 UTC
libreoffice-4.3.7.2-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/libreoffice-4.3.7.2-6.fc21

Comment 19 Fedora Update System 2015-05-30 15:52:13 UTC
libreoffice-4.3.7.2-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.